diff -urp webkitgtk-2.44.0.atk/Source/cmake/OptionsGTK.cmake webkitgtk-2.44.0/Source/cmake/OptionsGTK.cmake
--- webkitgtk-2.44.0.atk/Source/cmake/OptionsGTK.cmake	2024-03-26 13:31:28.624042893 -0500
+++ webkitgtk-2.44.0/Source/cmake/OptionsGTK.cmake	2024-03-26 13:31:44.387515569 -0500
@@ -16,8 +16,7 @@ set(USER_AGENT_BRANDING "" CACHE STRING
 find_package(Cairo 1.15.2 REQUIRED)
 find_package(Fontconfig 2.11 REQUIRED)
 find_package(Freetype 2.6.3 REQUIRED)
-find_package(LibGcrypt 1.7.0 REQUIRED)
-find_package(Libtasn1 REQUIRED)
+find_package(LibGcrypt 1.6.0 REQUIRED)
 find_package(HarfBuzz 1.4.2 REQUIRED COMPONENTS ICU)
 find_package(ICU 52.1 REQUIRED COMPONENTS data i18n uc)
 find_package(JPEG REQUIRED)
@@ -106,6 +105,7 @@ WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_PDFJS PUBLIC ON)
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_SPELLCHECK PUBLIC ON)
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_TOUCH_EVENTS PUBLIC ON)
+WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_WEB_CRYPTO PUBLIC ON)
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_WEBDRIVER PUBLIC ON)
 
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(USE_AVIF PUBLIC ON)
@@ -306,6 +306,16 @@ if (ENABLE_DOCUMENTATION AND NOT GIDocge
     message(FATAL_ERROR "ENABLE_INTROSPECTION is needed for gi-docgen.")
 endif ()
 
+if (ENABLE_WEB_CRYPTO)
+    find_package(Libtasn1 REQUIRED)
+    if (NOT LIBTASN1_FOUND)
+        message(FATAL_ERROR "libtasn1 is required to enable Web Crypto API support.")
+    endif ()
+    if (LibGcrypt_VERSION VERSION_LESS 1.7.0)
+        message(FATAL_ERROR "libgcrypt 1.7.0 is required to enable Web Crypto API support.")
+    endif ()
+endif ()
+
 if (ENABLE_WEBDRIVER)
     SET_AND_EXPOSE_TO_BUILD(ENABLE_WEBDRIVER_KEYBOARD_INTERACTIONS ON)
     SET_AND_EXPOSE_TO_BUILD(ENABLE_WEBDRIVER_MOUSE_INTERACTIONS ON)
diff -urp webkitgtk-2.44.0.atk/Source/cmake/OptionsPlayStation.cmake webkitgtk-2.44.0/Source/cmake/OptionsPlayStation.cmake
--- webkitgtk-2.44.0.atk/Source/cmake/OptionsPlayStation.cmake	2024-03-16 01:45:51.284670000 -0500
+++ webkitgtk-2.44.0/Source/cmake/OptionsPlayStation.cmake	2024-03-26 13:31:44.387515569 -0500
@@ -186,6 +186,7 @@ WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_REMOTE_INSPECTOR PRIVATE ON)
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_RESOURCE_USAGE PRIVATE ON)
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_SMOOTH_SCROLLING PRIVATE ON)
+WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_WEB_CRYPTO PRIVATE ON)
 
 if (USE_WPE_BACKEND_PLAYSTATION)
     WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_WEBDRIVER PRIVATE ON)
diff -urp webkitgtk-2.44.0.atk/Source/cmake/OptionsWin.cmake webkitgtk-2.44.0/Source/cmake/OptionsWin.cmake
--- webkitgtk-2.44.0.atk/Source/cmake/OptionsWin.cmake	2024-03-16 01:45:51.284670000 -0500
+++ webkitgtk-2.44.0/Source/cmake/OptionsWin.cmake	2024-03-26 13:31:44.387515569 -0500
@@ -175,6 +175,7 @@ WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_RESOURCE_USAGE PRIVATE ${ENABLE_EXPERIMENTAL_FEATURES})
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_VARIATION_FONTS PRIVATE ${ENABLE_EXPERIMENTAL_FEATURES})
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_WEBDRIVER PRIVATE ${ENABLE_EXPERIMENTAL_FEATURES})
+WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_WEB_CRYPTO PRIVATE ${ENABLE_EXPERIMENTAL_FEATURES})
 
 # No support planned
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_FTPDIR PRIVATE OFF)
diff -urp webkitgtk-2.44.0.atk/Source/cmake/WebKitFeatures.cmake webkitgtk-2.44.0/Source/cmake/WebKitFeatures.cmake
--- webkitgtk-2.44.0.atk/Source/cmake/WebKitFeatures.cmake	2024-03-16 01:45:51.288670000 -0500
+++ webkitgtk-2.44.0/Source/cmake/WebKitFeatures.cmake	2024-03-26 13:31:44.387515569 -0500
@@ -251,6 +251,7 @@ macro(WEBKIT_OPTION_BEGIN)
     WEBKIT_OPTION_DEFINE(ENABLE_WEB_AUDIO "Toggle Web Audio support" PRIVATE ON)
     WEBKIT_OPTION_DEFINE(ENABLE_WEB_AUTHN "Toggle Web AuthN support" PRIVATE OFF)
     WEBKIT_OPTION_DEFINE(ENABLE_WEB_CODECS "Toggle WebCodecs support" PRIVATE OFF)
+    WEBKIT_OPTION_DEFINE(ENABLE_WEB_CRYPTO "Toggle WebCrypto Subtle-Crypto support" PRIVATE ON)
     WEBKIT_OPTION_DEFINE(ENABLE_WEB_RTC "Toggle WebRTC support" PRIVATE OFF)
     WEBKIT_OPTION_DEFINE(ENABLE_WIRELESS_PLAYBACK_TARGET "Toggle wireless playback target support" PRIVATE OFF)
     WEBKIT_OPTION_DEFINE(ENABLE_XSLT "Toggle XSLT support" PRIVATE ON)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/bindings/js/SerializedScriptValue.cpp webkitgtk-2.44.0/Source/WebCore/bindings/js/SerializedScriptValue.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/bindings/js/SerializedScriptValue.cpp	2024-03-16 01:47:05.620925200 -0500
+++ webkitgtk-2.44.0/Source/WebCore/bindings/js/SerializedScriptValue.cpp	2024-03-26 14:24:06.312331934 -0500
@@ -195,7 +195,9 @@ enum SerializationTag {
     MapObjectTag = 30,
     NonMapPropertiesTag = 31,
     NonSetPropertiesTag = 32,
+#if ENABLE(WEB_CRYPTO)
     CryptoKeyTag = 33,
+#endif
     SharedArrayBufferTag = 34,
 #if ENABLE(WEBASSEMBLY)
     WasmModuleTag = 35,
@@ -294,7 +296,9 @@ static const char* name(SerializationTag
     case MapObjectTag: return "MapObjectTag";
     case NonMapPropertiesTag: return "NonMapPropertiesTag";
     case NonSetPropertiesTag: return "NonSetPropertiesTag";
+#if ENABLE(WEB_CRYPTO)
     case CryptoKeyTag: return "CryptoKeyTag";
+#endif
     case SharedArrayBufferTag: return "SharedArrayBufferTag";
 #if ENABLE(WEBASSEMBLY)
     case WasmModuleTag: return "WasmModuleTag";
@@ -449,7 +453,9 @@ static bool isTypeExposedToGlobalObject(
     case FileListTag:
     case ImageDataTag:
     case BlobTag:
+#if ENABLE(WEB_CRYPTO)
     case CryptoKeyTag:
+#endif
     case DOMPointReadOnlyTag:
     case DOMPointTag:
     case DOMRectReadOnlyTag:
@@ -608,6 +614,8 @@ static String agentClusterIDFromGlobalOb
 }
 #endif
 
+#if ENABLE(WEB_CRYPTO)
+
 const uint32_t currentKeyFormatVersion = 1;
 
 enum class CryptoKeyClassSubtag {
@@ -680,6 +688,7 @@ enum class CryptoKeyOKPOpNameTag {
     ED25519 = 1,
 };
 const uint8_t cryptoKeyOKPOpNameTagMaximumValue = 1;
+#endif
 
 static constexpr unsigned CurrentMajorVersion = 15;
 static constexpr unsigned CurrentMinorVersion = 0;
@@ -944,6 +953,7 @@ protected:
 #endif
 };
 
+#if ENABLE(WEB_CRYPTO)
 static bool wrapCryptoKey(JSGlobalObject* lexicalGlobalObject, const Vector<uint8_t>& key, Vector<uint8_t>& wrappedKey)
 {
     auto context = executionContext(lexicalGlobalObject);
@@ -955,6 +965,7 @@ static bool unwrapCryptoKey(JSGlobalObje
     auto context = executionContext(lexicalGlobalObject);
     return context && context->unwrapCryptoKey(wrappedKey, key);
 }
+#endif
 
 #if ASSUME_LITTLE_ENDIAN
 template <typename T> static void writeLittleEndian(Vector<uint8_t>& buffer, T value)
@@ -1965,6 +1976,7 @@ private:
                 addToObjectPool<ArrayBufferViewTag>(obj);
                 return success;
             }
+#if ENABLE(WEB_CRYPTO)
             if (auto* key = JSCryptoKey::toWrapped(vm, obj)) {
                 write(CryptoKeyTag);
                 Vector<uint8_t> serializedKey;
@@ -2019,6 +2031,7 @@ private:
                 write(wrappedKey);
                 return true;
             }
+#endif
 #if ENABLE(WEB_RTC)
             if (auto* rtcCertificate = JSRTCCertificate::toWrapped(vm, obj)) {
                 write(RTCCertificateTag);
@@ -2160,6 +2173,7 @@ private:
         writeLittleEndian<uint8_t>(m_buffer, static_cast<uint8_t>(tag));
     }
 
+#if ENABLE(WEB_CRYPTO)
     void write(CryptoKeyClassSubtag tag)
     {
         writeLittleEndian<uint8_t>(m_buffer, static_cast<uint8_t>(tag));
@@ -2184,6 +2198,7 @@ private:
     {
         writeLittleEndian<uint8_t>(m_buffer, static_cast<uint8_t>(tag));
     }
+#endif
 
     void write(bool b)
     {
@@ -2394,6 +2409,7 @@ private:
         write(DestinationColorSpaceSRGBTag);
     }
 
+#if ENABLE(WEB_CRYPTO)
     void write(CryptoKeyOKP::NamedCurve curve)
     {
         switch (curve) {
@@ -2598,6 +2614,7 @@ private:
             break;
         }
     }
+#endif
 
     void write(const uint8_t* data, unsigned length)
     {
@@ -3827,6 +3844,7 @@ private:
         return false;
     }
 
+#if ENABLE(WEB_CRYPTO)
     bool read(CryptoKeyOKP::NamedCurve& result)
     {
         uint8_t nameTag;
@@ -4198,6 +4216,7 @@ private:
         cryptoKey = getJSValue(result.get());
         return true;
     }
+#endif
 
     bool read(SerializableErrorType& errorType)
     {
@@ -5145,6 +5164,7 @@ private:
             addToObjectPool<ArrayBufferViewTag>(arrayBufferView);
             return arrayBufferView;
         }
+#if ENABLE(WEB_CRYPTO)
         case CryptoKeyTag: {
             Vector<uint8_t> wrappedKey;
             if (!read(wrappedKey)) {
@@ -5168,6 +5188,7 @@ private:
             }
             return cryptoKey;
         }
+#endif
         case DOMPointReadOnlyTag:
             return readDOMPoint<DOMPointReadOnly>();
         case DOMPointTag:
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.cpp	2024-03-26 14:28:47.477493155 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESCBC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesCbcCfbParams.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
@@ -193,3 +195,5 @@ ExceptionOr<size_t> CryptoAlgorithmAESCB
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.h	2024-03-26 14:25:33.492895418 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCbcCfbParams;
@@ -57,3 +59,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.cpp	2024-03-26 14:29:40.444505080 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESCFB.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesCbcCfbParams.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
@@ -193,3 +195,5 @@ ExceptionOr<size_t> CryptoAlgorithmAESCF
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.h	2024-03-26 14:29:32.021116840 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCbcCfbParams;
@@ -54,3 +56,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.cpp	2024-03-26 14:31:04.478386154 -0500
@@ -27,6 +27,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESCTR.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesCtrParams.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
@@ -314,3 +316,5 @@ auto CryptoAlgorithmAESCTR::CounterBlock
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.h	2024-03-26 14:30:56.405000193 -0500
@@ -28,6 +28,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCtrParams;
@@ -82,3 +84,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.cpp	2024-03-26 14:32:29.072270864 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESGCM.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesGcmParams.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
@@ -242,3 +244,5 @@ ExceptionOr<size_t> CryptoAlgorithmAESGC
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.h	2024-03-26 14:32:35.855648408 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesGcmParams;
@@ -55,3 +57,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.cpp	2024-03-26 14:28:06.933895562 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESKW.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
 #include <variant>
@@ -183,3 +185,5 @@ ExceptionOr<size_t> CryptoAlgorithmAESKW
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.h	2024-03-26 14:26:39.979995460 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyAES;
@@ -53,3 +55,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.cpp	2024-03-26 13:31:44.390848931 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDH.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcKeyParams.h"
 #include "CryptoAlgorithmEcdhKeyDeriveParams.h"
 #include "CryptoKeyEC.h"
@@ -229,3 +231,5 @@ void CryptoAlgorithmECDH::exportKey(Cryp
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.h	2024-03-26 13:31:44.390848931 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyEC;
@@ -51,3 +53,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.cpp	2024-03-26 13:31:44.390848931 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcKeyParams.h"
 #include "CryptoAlgorithmEcdsaParams.h"
 #include "CryptoKeyEC.h"
@@ -217,3 +219,5 @@ void CryptoAlgorithmECDSA::exportKey(Cry
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.h	2024-03-26 13:31:44.394182294 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmEcdsaParams;
@@ -53,3 +55,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.cpp	2024-03-26 13:31:44.394182294 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmEd25519.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyOKP.h"
 #include "NotImplemented.h"
 #include <JavaScriptCore/JSCJSValueInlines.h>
@@ -193,3 +195,4 @@ void CryptoAlgorithmEd25519::exportKey(C
 }
 
 } // namespace WebCore
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.h	2024-03-26 13:31:44.394182294 -0500
@@ -26,6 +26,7 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
 namespace WebCore {
 
 class CryptoKeyOKP;
@@ -56,3 +57,5 @@ inline CryptoAlgorithmIdentifier CryptoA
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.cpp	2024-03-26 13:31:44.394182294 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHKDF.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHkdfParams.h"
 #include "CryptoKeyRaw.h"
 #include <JavaScriptCore/JSCJSValueInlines.h>
@@ -80,3 +82,5 @@ ExceptionOr<size_t> CryptoAlgorithmHKDF:
 }
     
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.h	2024-03-26 13:31:44.397515657 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmHkdfParams;
@@ -50,3 +52,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.cpp	2024-03-26 13:31:44.397515657 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHMAC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHmacKeyParams.h"
 #include "CryptoKeyHMAC.h"
 #include <variant>
@@ -195,4 +197,6 @@ ExceptionOr<size_t> CryptoAlgorithmHMAC:
     return CryptoKeyHMAC::getKeyLength(parameters);
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.h	2024-03-26 13:31:44.397515657 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyHMAC;
@@ -54,3 +56,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.cpp	2024-03-26 13:31:44.397515657 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmPBKDF2.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmPbkdf2Params.h"
 #include "CryptoKeyRaw.h"
 #include <JavaScriptCore/JSCJSValueInlines.h>
@@ -80,3 +82,5 @@ ExceptionOr<size_t> CryptoAlgorithmPBKDF
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.h	2024-03-26 13:31:44.397515657 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmPbkdf2Params;
@@ -50,3 +52,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSAES_PKCS1_v1_5.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSAES_PKCS1_v1_5.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSAES_PKCS1_v1_5.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSAES_PKCS1_v1_5.cpp	2024-03-26 13:31:44.397515657 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSAES_PKCS1_v1_5.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaKeyGenParams.h"
 #include "CryptoKeyPair.h"
 #include "CryptoKeyRSA.h"
@@ -184,4 +186,6 @@ void CryptoAlgorithmRSAES_PKCS1_v1_5::ex
     callback(format, WTFMove(result));
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSAES_PKCS1_v1_5.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSAES_PKCS1_v1_5.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSAES_PKCS1_v1_5.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSAES_PKCS1_v1_5.h	2024-03-26 13:31:44.397515657 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyRSA;
@@ -52,3 +54,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.cpp	2024-03-26 13:31:44.397515657 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_OAEP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaHashedImportParams.h"
 #include "CryptoAlgorithmRsaHashedKeyGenParams.h"
 #include "CryptoAlgorithmRsaOaepParams.h"
@@ -254,4 +256,6 @@ void CryptoAlgorithmRSA_OAEP::exportKey(
     callback(format, WTFMove(result));
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.h	2024-03-26 13:31:44.397515657 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaOaepParams;
@@ -53,3 +55,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.cpp	2024-03-26 13:31:44.397515657 -0500
@@ -26,7 +26,7 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_PSS.h"
 
-#if HAVE(RSA_PSS)
+#if ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
 
 #include "CryptoAlgorithmRsaHashedImportParams.h"
 #include "CryptoAlgorithmRsaHashedKeyGenParams.h"
@@ -244,4 +244,4 @@ void CryptoAlgorithmRSA_PSS::exportKey(C
 
 }
 
-#endif // HAVE(RSA_PSS)
+#endif // ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.h	2024-03-26 13:31:44.400849019 -0500
@@ -27,7 +27,7 @@
 
 #include "CryptoAlgorithm.h"
 
-#if HAVE(RSA_PSS)
+#if ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
 
 namespace WebCore {
 
@@ -56,4 +56,4 @@ private:
 
 } // namespace WebCore
 
-#endif // HAVE(RSA_PSS)
+#endif // ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.cpp	2024-03-26 13:31:44.400849019 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSASSA_PKCS1_v1_5.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaHashedImportParams.h"
 #include "CryptoAlgorithmRsaHashedKeyGenParams.h"
 #include "CryptoKeyPair.h"
@@ -238,4 +240,6 @@ void CryptoAlgorithmRSASSA_PKCS1_v1_5::e
     callback(format, WTFMove(result));
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.h	2024-03-26 13:31:44.400849019 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyRSA;
@@ -52,3 +54,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.cpp	2024-03-26 13:31:44.400849019 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmSHA1.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 #include <pal/crypto/CryptoDigest.h>
 
@@ -58,4 +60,6 @@ void CryptoAlgorithmSHA1::digest(Vector<
     });
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.h webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.h
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.h	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.h	2024-03-26 13:31:44.400849019 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmSHA1 final : public CryptoAlgorithm {
@@ -42,3 +44,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA224.cpp webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA224.cpp
--- webkitgtk-2.44.0.atk/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA224.cpp	2024-03-16 01:45:50.064672000 -0500
+++ webkitgtk-2.44.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA224.cpp	2024-03-26 13:31:44.400849019 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmSHA224.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 #include <pal/crypto/CryptoDigest.h>
 
@@ -58,4 +60,6 @@ void CryptoAlgorithmSHA224::digest(Vecto
     });
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
